Retrieve Custom Objects

Retrieves Custom Objects associated with the authenticated User using an Access Token.

GET
/identity/v2/auth/customobject

Retrieves Custom Objects associated with the authenticated User using an Access Token.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

customobjectid?string

Unique identifier for the Custom Object record

objectname?string

Name of the Custom Object to be used in the request. The name should match the Custom Object configured in your LoginRadius account.

access_token?string

Access Token of the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/customobject?customobjectid=customObject12&objectname=customObjectName1&access_token=493318dd-487a-439b-8302-5e27f1110244"
{
  "Count": 2,
  "data": [
    {
      "IsActive": true,
      "IsDeleted": false,
      "CustomObject": {
        "firstName": "John",
        "lastName": "Doe",
        "age": 30
      },
      "Id": "abc123",
      "Uid": "user456",
      "DateCreated": "2024-05-28T12:34:56Z",
      "DateModified": "2024-05-29T09:10:11Z"
    },
    {
      "IsActive": false,
      "IsDeleted": true,
      "CustomObject": {
        "company": "Acme Corp",
        "Role": "Engineer"
      },
      "Id": "def789",
      "Uid": "user789",
      "DateCreated": "2024-05-20T08:00:00Z",
      "DateModified": "2024-05-21T10:00:00Z"
    }
  ]
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The objectname is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}